function _inheritsLoose(subClass, superClass) { subClass.prototype = Object.create(superClass.prototype); subClass.prototype.constructor = subClass; subClass.__proto__ = superClass; }

import React from 'react';
import PropTypes from 'prop-types';

var TimepickerDropdown =
/*#__PURE__*/
function (_React$PureComponent) {
  _inheritsLoose(TimepickerDropdown, _React$PureComponent);

  function TimepickerDropdown() {
    return _React$PureComponent.apply(this, arguments) || this;
  }

  var _proto = TimepickerDropdown.prototype;

  _proto.render = function render() {
    var children = this.props.children;
    return (
      /* eslint-disable */
      // Disabled due to onClick on div - needed to not close DropDown Prematurely
      React.createElement("div", {
        className: 'cui-timepicker__dropdown-container',
        onClick: function onClick(e) {
          return e.stopPropagation();
        }
      }, React.createElement("div", {
        className: 'cui-timepicker__dropdown'
      }, React.createElement("div", {
        className: "inline-flex"
      }, children)))
      /* eslint-enable */

    );
  };

  return TimepickerDropdown;
}(React.PureComponent);

TimepickerDropdown.displayName = 'TimepickerDropdown';
TimepickerDropdown.defaultProps = {
  children: null
};
TimepickerDropdown.propTypes = {
  /** Child component to display within Dropdown */
  children: PropTypes.node
};
export default TimepickerDropdown;